## @file Snake_2.o.py
#  @author Andy Hameed, Usman Irfan
#  @brief implements gameplay and connects the different components of the game
#  @date 11/09/2018


from random import randint
from Snake import *
from Food import *

# One size for all blocks created for snake
size = 20 

#velocity and score
vel = 10
score = 0

#initial x and y coordinates of the snake
x = randint(0,screenSize - size)
y = randint(0, screenSize - size)

speed = 40

# 0 gives (- direction)
# 1 gives (+ direction)
direction = 0
# 0 - x-axis , 1 - y-axis
axis = 0

score = 0
location = []
food_x = randint(0,screenSize - size)
food_y = randint(0,screenSize - size)
location = [food_x, food_y]

##initialize snake
snake = Snake(size, 0, 20, 0)
food = Food(size)

#Loop through the events as long as the game is running
run = True 
while run:
    
    #delay controls part of speed
    pygame.time.delay(speed) 

    for event in pygame.event.get():

        if event.type == pygame.QUIT:
            run = False

        #Each event type has an integer assigned to it. KEYDOWN has the code 2
        if event.type == pygame.KEYDOWN:
            if (event.key == pygame.K_LEFT):
                    snake.axis = 0; snake.direct = -1
            if (event.key == pygame.K_RIGHT):
                    snake.axis = 0; snake.direct = 1
            if (event.key == pygame.K_UP):
                    snake.axis = 1; snake.direct = -1
            if (event.key == pygame.K_DOWN):
                    snake.axis = 1 ; snake.direct = 1

    #Snake moving depending on axis and direction
    if (snake.axis):
        y += vel*snake.direct
    else:
        x += vel*snake.direct

    #Boundary conditions for snake hitting window edge
    if x < 0:
        #x = 0
        x = screenSize - size
    if y < 0:
        #y = 0
        y = screenSize - size
    if y > screenSize - size:
        #y = 500 - size
        y = 0
    if x > screenSize - size:
        #x = 500 - size
        x = 0

    #consumption of food block  
    food.redraw_food(x, y, location, screenSize)

    if(abs(x - location[0]) < 15 and abs(y - location[1]) < 15):
        score += 1
        print(score)
         
    win.fill(white)

    #Draw food item
    food.draw_food(location)
    
    #food.update_score(x,y,location, score)
    
    #Draw snake
    snake.draw(x,y)

    #update display
    pygame.display.update()

pygame.quit()
